Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class DocumentProviderRegistry

    java.lang.Object
      org.eclipse.ui.texteditor.DocumentProviderRegistry

public class DocumentProviderRegistry
extends Object

This registry manages shared document providers. Document providers are specified in `plugin.xml` either per name extension or per editor input type. A name extension rule always overrules an editor input type rule. Editor input type rules follow the same rules `IAdapterManager` used to find object adapters.

See Also:
  `IAdapterManager`

Method Summary
`static DocumentProviderRegistry` | `getDefault()` Returns the standard document provider registry.
`IDocumentProvider` | `getDocumentProvider(IEditorInput editorInput)` Returns the shared document for the type of the given editor input.
`IDocumentProvider` | `getDocumentProvider(String extension)` Returns a shared document provider for the given name extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefault

    public static DocumentProviderRegistry getDefault()

  Returns the standard document provider registry.

  Returns:
    the default document provider registry

### getDocumentProvider

    public IDocumentProvider getDocumentProvider(String extension)

  Returns a shared document provider for the given name extension.

  Parameters:
    `extension` - the name extension to be used for lookup
  Returns:
    the shared document provider or `null`

### getDocumentProvider

    public IDocumentProvider getDocumentProvider(IEditorInput editorInput)

  Returns the shared document for the type of the given editor input.

  Parameters:
    `editorInput` - the input for whose type the provider is looked up
  Returns:
    the shared document provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.